/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.batch.planner.web.internal.security.permission.resource;

import com.liferay.batch.planner.model.BatchPlannerPlan;
import com.liferay.portal.kernel.exception.PortalException;
import com.liferay.portal.kernel.security.permission.PermissionChecker;
import com.liferay.portal.kernel.security.permission.resource.ModelResourcePermission;

import org.osgi.service.component.annotations.Component;
import org.osgi.service.component.annotations.Reference;

/**
 * @author Matija Petanjek
 */
@Component(service = {})
public class BatchPlannerPlanPermission {

	public static boolean contains(
			PermissionChecker permissionChecker,
			BatchPlannerPlan batchPlannerPlan, String actionId)
		throws PortalException {

		return _batchPlannerPlanModelResourcePermission.contains(
			permissionChecker, batchPlannerPlan, actionId);
	}

	public static boolean contains(
			PermissionChecker permissionChecker, long batchPlannerPlanId,
			String actionId)
		throws PortalException {

		return _batchPlannerPlanModelResourcePermission.contains(
			permissionChecker, batchPlannerPlanId, actionId);
	}

	@Reference(
		target = "(model.class.name=com.liferay.batch.planner.model.BatchPlannerPlan)",
		unbind = "-"
	)
	protected void setModelPermissionChecker(
		ModelResourcePermission<BatchPlannerPlan> modelResourcePermission) {

		_batchPlannerPlanModelResourcePermission = modelResourcePermission;
	}

	private static ModelResourcePermission<BatchPlannerPlan>
		_batchPlannerPlanModelResourcePermission;

}